Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039660
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-11-21 11:582018-12-11 20:22
ReporterLeyreView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision5ad6a51b19f3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2018-02-23
Regression introduced in release3.0PR18Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/4a1f3df29564b6dd12259981f941d0d5d74bebab [^]
Triggers an Emergency PackNo
Summary

0039660: Error deactivating an Organization

DescriptionYou can not consult information about an Organization that is deactivated
Steps To Reproduce1. Log in to the Backoffice -> Openbravo/openbravo

https://livebuilds.openbravo.com/retail_mp_3.0RR18Q3.2/security/Login [^]

Role = The White Valley Group Admin - The White Valley Group

2. Deactivate an Organization, for example White Valley Spain S.A

3. End Session and log in again with the same user.

4. Check that the information of this Organization can not be consulted.

* This happens for example in the "Financial Account" window. You can not filter by White Valley Spain Organization.
Proposed SolutionThis worked correctly in the 18Q1 version.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00396613.0PR18Q4 closedcaristu Error deactivating an Organization 
depends on backport 00396623.0PR18Q3.3 closedcaristu Error deactivating an Organization 
caused by feature request 0037980 closedalostale Improve organization cache in session 

-  Notes
(0108040)
hgbot (developer)
2018-11-21 16:18

Repository: erp/devel/pi
Changeset: 5ad6a51b19f3fd143e26ec993b2a07ec3cda8d5b
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Nov 21 12:59:10 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5ad6a51b19f3fd143e26ec993b2a07ec3cda8d5b [^]

fixes bug 39660: Standard DS isn't returning information of deactivated orgs

  Before this changeset[1] access to inactive organization was being given because getOrganizationStructureProvider().getNaturalTree(o)) does not filter by active organizations.

  Now that method is not being invoked when having direct access to "0" but the getOrganizations() method which indeed filters by active organizations.

  In order to be consistent, now the getOrganizations() method does no longer filter by active.

---
M src/org/openbravo/dal/core/OBContext.java
---
(0108081)
alostale (developer)
2018-11-23 13:36

reviewed + tested
(0108112)
hgbot (developer)
2018-11-26 19:36

Repository: erp/devel/pi
Changeset: cf5f7b83f80e49e7b9d805f3b504f2217d674c20
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Nov 26 19:31:15 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cf5f7b83f80e49e7b9d805f3b504f2217d674c20 [^]

related to issue 39660: add test case

---
M src-test/src/org/openbravo/test/dal/OBContextTest.java
---
(0108490)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test
(0108499)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-11-21 11:58 Leyre New Issue
2018-11-21 11:58 Leyre Assigned To => platform
2018-11-21 11:58 Leyre Modules => Core
2018-11-21 11:58 Leyre Regression date => 2018-12-12
2018-11-21 11:58 Leyre Triggers an Emergency Pack => No
2018-11-21 12:04 Leyre Proposed Solution updated
2018-11-21 12:52 caristu Review Assigned To => alostale
2018-11-21 12:52 caristu Regression level => Production - Confirmed Stable
2018-11-21 12:52 caristu Regression date 2018-12-12 => 2018-02-23
2018-11-21 12:52 caristu Regression introduced in release => 3.0PR18Q2
2018-11-21 12:52 caristu Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/4a1f3df29564b6dd12259981f941d0d5d74bebab [^]
2018-11-21 12:52 caristu Assigned To platform => caristu
2018-11-21 12:52 caristu Status new => scheduled
2018-11-21 12:53 caristu Relationship added caused by 0037980
2018-11-21 16:18 hgbot Checkin
2018-11-21 16:18 hgbot Note Added: 0108040
2018-11-21 16:18 hgbot Status scheduled => resolved
2018-11-21 16:18 hgbot Resolution open => fixed
2018-11-21 16:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5ad6a51b19f3fd143e26ec993b2a07ec3cda8d5b [^]
2018-11-23 13:36 alostale Note Added: 0108081
2018-11-23 13:36 alostale Status resolved => closed
2018-11-23 13:36 alostale Fixed in Version => 3.0PR19Q1
2018-11-26 19:36 hgbot Checkin
2018-11-26 19:36 hgbot Note Added: 0108112
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108490
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108499


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker